extension.h File Reference
`#include <string>`
`#include <vector>`
`#include <exception>`
`#include <memory>`
`#include <type_traits>`
`#include <limits>`
`#include <functional>`
`#include <utility>`
`#include <new>`
`#include <stddef.h>`
`#include <stdlib.h>`
`#include <string.h>`
`#include <glib.h>`
`#include <c++-gtk-utils/shared_handle.h>`
`#include <c++-gtk-utils/callback.h>`
`#include <c++-gtk-utils/thread.h>`
`#include <c++-gtk-utils/mutex.h>`
`#include <c++-gtk-utils/cgu_config.h>`
`#include <libguile.h>`

Go to the source code of this file.

## Classes

class | Cgu::Extension::GuileException
class | Cgu::Extension::ReturnValueError
class | Cgu::Extension::WrapperError

## Namespaces

| Cgu::Extension
| This namespace provides functions to execute scheme code on the guile VM.
| Cgu

## Functions

SCM | Cgu::Extension::exception_to_string (SCM key, SCM args)
void | Cgu::Extension::rethrow_guile_exception (SCM scm)
std::vector< long > | Cgu::Extension::list_to_vector_long (SCM scm)
std::vector< double > | Cgu::Extension::list_to_vector_double (SCM scm)
std::vector< std::string > | Cgu::Extension::list_to_vector_string (SCM scm)
long | Cgu::Extension::integer_to_long (SCM scm)
double | Cgu::Extension::real_to_double (SCM scm)
std::string | Cgu::Extension::string_to_string (SCM scm)
void * | Cgu::Extension::any_to_void (SCM scm)
template<class Translator >
auto | Cgu::Extension::exec (const std::string &preamble, const std::string &file, Translator translator) -> typename std::result_of< Translator(SCM)>::type
template<class Translator >
auto | Cgu::Extension::exec_shared (const std::string &preamble, const std::string &file, Translator translator) -> typename std::result_of< Translator(SCM)>::type